Canvas5Graph.cxx File Reference
`#include <array>`
`#include <cmath>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <set>`
`#include <sstream>`
`#include <stack>`
`#include <librevenge/librevenge.h>`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWGraphicListener.hxx"`
`#include "MWAWGraphicShape.hxx"`
`#include "MWAWGraphicStyle.hxx"`
`#include "MWAWListener.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWParser.hxx"`
`#include "MWAWPictBitmap.hxx"`
`#include "MWAWPictMac.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "Canvas5Parser.hxx"`
`#include "Canvas5Graph.hxx"`
`#include "Canvas5Image.hxx"`
`#include "Canvas5Structure.hxx"`
`#include "Canvas5StyleManager.hxx"`
`#include "libmwaw_internal.hxx"`

## Classes

struct | Canvas5GraphInternal::SectionData
| Internal: the section data. More...
struct | Canvas5GraphInternal::ShapeData
| Internal: the shape data. More...
struct | Canvas5GraphInternal::Shape
| Internal: the shape of a Canvas5Graph. More...
struct | Canvas5GraphInternal::PseudoShape
| Internal[low level]: a pseudo class to store the data corresponding to a shape. More...
struct | Canvas5GraphInternal::State
| Internal: the state of a Canvas5Graph. More...
class | Canvas5GraphInternal::SubDocument
| Internal: the subdocument of a Canvas5Graph. More...

## Namespaces

namespace | Canvas5GraphInternal
| Internal: the structures of a Canvas5Graph.

## Functions

bool | Canvas5GraphInternal::intersect (MWAWVec2f const &A, MWAWVec2f const &dirA, MWAWVec2f const &B, MWAWVec2f const &dirB, MWAWVec2f &pt)
std::vector< MWAWVec2f > | Canvas5GraphInternal::intersect (MWAWBox2f const &box, MWAWVec2f const &pt, MWAWVec2f const &dir)

## Variables

constexpr size_t | Canvas5GraphInternal::MAX_RECORD_NESTING = 1 << 10
| the maximum recursion depth when sending nested shapes